Bug 811606 - Removing a package collection causes unexpected extra removals
Removing a package collection causes unexpected extra removals
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
16
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-11 10:18 EDT by Sam Thursfield
Modified: 2013-02-13 09:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:43:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Thursfield 2012-04-11 10:18:19 EDT
$ sudo yum groupremove "Arabic Support"

================================================================================
 Package                      Arch   Version          Repository           Size
================================================================================
Removing:
 dejavu-sans-fonts            noarch 2.33-1.fc16      @koji-override-0/$releasever
                                                                          5.1 M
 dejavu-sans-mono-fonts       noarch 2.33-1.fc16      @koji-override-0/$releasever
                                                                          1.1 M
 libreoffice-langpack-en      x86_64 1:3.4.5.2-8.fc16 @updates            0.0  
 paktype-naqsh-fonts          noarch 3.0-5.fc15       @koji-override-0/$releasever
                                                                          202 k
 paktype-tehreer-fonts        noarch 2.0-11.fc15      @koji-override-0/$releasever
                                                                          206 k
Removing for dependencies:
 get_iplayer                  noarch 2.80-4.fc16      @rpmfusion-free     377 k
 libprojectM                  x86_64 2.0.1-12.fc16    @fedora             2.1 M
 libreoffice                  x86_64 1:3.4.5.2-8.fc16 @updates            0.0  
 libreoffice-base             x86_64 1:3.4.5.2-8.fc16 @updates            6.3 M
 libreoffice-calc             x86_64 1:3.4.5.2-8.fc16 @updates             25 M
 libreoffice-core             x86_64 1:3.4.5.2-8.fc16 @updates            225 M
 libreoffice-draw             x86_64 1:3.4.5.2-8.fc16 @updates            2.2 M
 libreoffice-emailmerge       x86_64 1:3.4.5.2-8.fc16 @updates             32 k
 libreoffice-graphicfilter    x86_64 1:3.4.5.2-8.fc16 @updates            695 k
 libreoffice-impress          x86_64 1:3.4.5.2-8.fc16 @updates            3.0 M
 libreoffice-math             x86_64 1:3.4.5.2-8.fc16 @updates            3.5 M
 libreoffice-pdfimport        x86_64 1:3.4.5.2-8.fc16 @updates            1.5 M
 libreoffice-presenter-screen x86_64 1:3.4.5.2-8.fc16 @updates            2.3 M
 libreoffice-pyuno            x86_64 1:3.4.5.2-8.fc16 @updates            746 k
 libreoffice-writer           x86_64 1:3.4.5.2-8.fc16 @updates             19 M
 vlc                          x86_64 1.1.13-3.fc16    @rpmfusion-free-updates


This is confusing for a user who opens up gnome-packagekit to free up some disk space and removes support for languages that they do not use - why is libreoffice gone too?

Either the language support groups should only trigger the removal of the functionality that they say they will, or the gnome-packagekit UI should not allow removing them so easily ..
Comment 1 Sam Thursfield 2012-04-11 10:20:11 EDT
This problem is not limited to language groups - eg. if I try to remove "Dial-up networking support" I lose the whole of NetworkManager
Comment 2 Bill Nottingham 2012-04-11 11:48:22 EDT
Group removal is a known problematic operation that does not always do what users intend.

Moving to the UI.
Comment 3 Sam Thursfield 2012-04-11 15:00:21 EDT
http://illiterat.livejournal.com/5571.html seems to discuss this issue as well
Comment 4 Fedora End Of Life 2013-01-16 08:48:57 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 09:43:07 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.